Search Metrics Dashboard: Investigate recent spike in user engagement
Closed, ResolvedPublic

Description

There was a spike in user engagement on Oct 25 - let's check it out and see if there is anything going on.
http://discovery-beta.wmflabs.org/metrics/#kpi_augmented_clickthroughs

chelsyx created this task.Dec 21 2016, 6:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 21 2016, 6:56 PM
debt triaged this task as "Normal" priority.Dec 21 2016, 7:48 PM

Yes, let's take a look before the data rolls off (gets removed).

The schema changed from TestSearchSatisfaction2_15700292 to TestSearchSatisfaction2_15922352 on Oct 25, so we ended up having 7896 sessions recorded in TestSearchSatisfaction2_15700292 and 1 session recorded in TestSearchSatisfaction2_15922352 which last longer than 10 seconds. Golden failed to pick up data points from both tables.

@mpopov replaced the user engagement data on Oct 25 with a 90-ish day median for now. After migrating to report updater, maybe we could solve this problem?

debt reassigned this task from chelsyx to mpopov.Jan 3 2017, 9:15 PM

We'll need to backfill this data...assigned @mpopov

Thanks @chelsyx for looking into it!

OK, backfilling done (correct value was 0.400330116810564). The corrected data will be sync'd over to datasets.wikimedia.org in the next 15 minutes or so, and will be visible on the dashboards either later today or tomorrow morning.

debt closed this task as "Resolved".Jan 4 2017, 9:13 PM

Looks good!